<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports1.css" rel="stylesheet" id="ultra" />
    <link type="text/css" href="testng-reports.css" rel="stylesheet" id="retro" disabled="false"/>
    <script type="text/javascript" src="jquery-3.6.0.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <button id="button" class="button">Switch Retro Theme</button> <!-- button -->
      <br/>
      <span class="top-banner-font-1">1 suite</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" title="Collapse/expand all the suites" class="collapse-all-link">
          <img src="collapseall.gif" class="collapse-all-icon">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" panel-name="suite-RestAssuredSuite" class="navigator-link">
              <span class="suite-name border-passed">RestAssuredSuite</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" panel-name="test-xml-RestAssuredSuite" class="navigator-link ">
                    <span>C:\Users\niles\eclipse-workspace\TestNg_RestAssuredProject\testng.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="testlist-RestAssuredSuite" class="navigator-link ">
                    <span class="test-stats">1 test</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="group-RestAssuredSuite" class="navigator-link ">
                    <span>0 groups</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="times-RestAssuredSuite" class="navigator-link ">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="reporter-RestAssuredSuite" class="navigator-link ">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="ignored-methods-RestAssuredSuite" class="navigator-link ">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" panel-name="chronological-RestAssuredSuite" class="navigator-link ">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">4 methods,   4 passed</span>
                  </li>
                  <li>
                    <span class="method-list-title passed">Passed methods</span>
                    <span class="show-or-hide-methods passed">
                      <a href="#" panel-name="suite-RestAssuredSuite" class="hide-methods passed suite-RestAssuredSuite"> (hide)</a> <!-- hide-methods passed suite-RestAssuredSuite -->
                      <a href="#" panel-name="suite-RestAssuredSuite" class="show-methods passed suite-RestAssuredSuite"> (show)</a> <!-- show-methods passed suite-RestAssuredSuite -->
                    </span>
                    <div class="method-list-content passed suite-RestAssuredSuite">
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-RestAssuredSuite" title="TestPackage.Test_Class_2" class="method navigator-link" hash-for-method="executor">executor</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-RestAssuredSuite" title="TestPackage.Test_Class_4" class="method navigator-link" hash-for-method="executor">executor</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-RestAssuredSuite" title="TestPackage.Test_Class_3" class="method navigator-link" hash-for-method="executor">executor</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img src="passed.png" width="3%"/>
                        <a href="#" panel-name="suite-RestAssuredSuite" title="TestPackage.Test_Class_1" class="method navigator-link" hash-for-method="executor">executor</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content passed suite-RestAssuredSuite -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-RestAssuredSuite" class="panel RestAssuredSuite">
          <div class="suite-RestAssuredSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">TestPackage.Test_Class_1</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="executor">
                  </a> <!-- executor -->
                  <span class="method-name">executor</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-RestAssuredSuite-class-passed -->
          <div class="suite-RestAssuredSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">TestPackage.Test_Class_3</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="executor">
                  </a> <!-- executor -->
                  <span class="method-name">executor</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-RestAssuredSuite-class-passed -->
          <div class="suite-RestAssuredSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">TestPackage.Test_Class_2</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="executor">
                  </a> <!-- executor -->
                  <span class="method-name">executor</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-RestAssuredSuite-class-passed -->
          <div class="suite-RestAssuredSuite-class-passed">
            <div class="main-panel-header rounded-window-top">
              <img src="passed.png"/>
              <span class="class-name">TestPackage.Test_Class_4</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="executor">
                  </a> <!-- executor -->
                  <span class="method-name">executor</span>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-RestAssuredSuite-class-passed -->
        </div> <!-- panel RestAssuredSuite -->
        <div panel-name="test-xml-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\niles\eclipse-workspace\TestNg_RestAssuredProject\testng.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;https://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite name=&quot;RestAssuredSuite&quot; guice-stage=&quot;DEVELOPMENT&quot;&gt;
  &lt;test thread-count=&quot;5&quot; name=&quot;Post API&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;TestPackage.Test_Class_1&quot;/&gt;
      &lt;class name=&quot;TestPackage.Test_Class_2&quot;/&gt;
      &lt;class name=&quot;TestPackage.Test_Class_3&quot;/&gt;
      &lt;class name=&quot;TestPackage.Test_Class_4&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- Post API --&gt;
&lt;/suite&gt; &lt;!-- RestAssuredSuite --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for RestAssuredSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">Post API (4 classes)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for RestAssuredSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for RestAssuredSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_RestAssuredSuite');
function tableData_RestAssuredSuite() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(4);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'executor')
data.setCell(0, 2, 'TestPackage.Test_Class_1')
data.setCell(0, 3, 5010);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'executor')
data.setCell(1, 2, 'TestPackage.Test_Class_4')
data.setCell(1, 3, 551);
data.setCell(2, 0, 2)
data.setCell(2, 1, 'executor')
data.setCell(2, 2, 'TestPackage.Test_Class_2')
data.setCell(2, 3, 540);
data.setCell(3, 0, 3)
data.setCell(3, 1, 'executor')
data.setCell(3, 2, 'TestPackage.Test_Class_3')
data.setCell(3, 3, 532);
window.suiteTableData['RestAssuredSuite']= { tableData: data, tableDiv: 'times-div-RestAssuredSuite'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 6 seconds</span>
              <div id="times-div-RestAssuredSuite">
              </div> <!-- times-div-RestAssuredSuite -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for RestAssuredSuite</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-RestAssuredSuite" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">TestPackage.Test_Class_1</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">executor</span>
                <span class="method-start">0 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">TestPackage.Test_Class_2</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">executor</span>
                <span class="method-start">5136 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">TestPackage.Test_Class_3</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">executor</span>
                <span class="method-start">5683 ms</span>
              </div> <!-- test-method -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">TestPackage.Test_Class_4</div> <!-- chronological-class-name -->
              <div class="test-method">
                <span class="method-name">executor</span>
                <span class="method-start">6220 ms</span>
              </div> <!-- test-method -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
<script type="text/javascript" src="testng-reports2.js"></script>
</html>
